Subject: Re: bug#42398: 26.3; mm-view-pkcs7-verify not using easypg when set

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 17 Oct 2020 11:58:49 +0200

"Timothy J. Miller" <[email-masked]> writes:

> When EasyPG is enabled, multipart/signed and application/pkcs7-mime
> enveloped messages are properly handled.
>
> However, application/pkcs7-mime messages of type signed (aka "opaque
> signed") are passed off to smime-verify-region, which is incorrect.
>
> This also happens with messages that are signed and encrypted, in that
> case the outer envelope is properly handled, but the inner message is of
> type application/pkcs7-mime signed, which then follows the same from
> through mm-view-pkcs7.
>
> Backtrace below, sample message attached.

I'm able to reproduce this bug on Emacs 26.3, but not in Emacs 28, so I
think this was probably fixed along with a whole bunch of other related
problems earlier this year.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no